ebox and libebox don't support Intrepid gconf version

Bug #314606 reported by Adam Sommer on 2009-01-07
8
Affects Status Importance Assigned to Milestone
ebox (Ubuntu)
Undecided
Unassigned
Intrepid
Undecided
Unassigned

Bug Description

Binary package hint: ebox

ebox and libebox use gconf to hold configuration information, and the gconf version in Intrepid uses dbus to access the gconf database.

The versions of ebox and libebox in Intrepid do not account for this change, and thus there is a severe regression from Hardy to Intrepid.

Adam Sommer (asommer) wrote :

SRU Report:

Bug Impact:
This bug is related to bug #255368. The ebox and libebox packages won't function correctly without the additional gconf_dbus patches.

Fix in the development branch:
Not yet fixed in Jaunty, but will be soon. The issue is fixed in the eBox PPA: https://launchpad.net/~ebox-unstable/+archive so the problem is fixed upstream.

Minimal Patch:
See dpatch attachment for ebox and the additional attachment for libebox.

Test Case:
If dpatch 16_add_apache_authcookie.dpatch is applied without the gconf patches for ebox and libebox, ebox will be installable but won't start. The resulting error:

$ sudo /etc/init.d/ebox restart
Failed to contact configuration server; some possible causes are that you need to enable TCP/IP networking for ORBit, or you have stale NFS locks due to a system crash. See http://www.gnome.org/projects/gconf/ for information. (Details - 1: Not running within active session) at /usr/share/perl5/EBox/GConfModule.pm line 50.

Regression Potential:
I don't believe there will be any regression based on my testing. Also, the patch is intended to fix a regression that results in a non-working package.

If there is any additional information required please let me know.

Also, see https://bugs.launchpad.net/ubuntu/+source/ebox/+bug/255368/comments/21 for a debdiff of the ebox package containing both the apache-auth-cookie patch and the gconf-dbus patch. If needed I can attach the debdiff to this bug as well.

Adam Sommer (asommer) wrote :

Minimal patch for libebox.

Adam Sommer (asommer) wrote :

Debdiff patch for libebox.

Looks good but I have some questions:

 1. I see that you note that this has not been fixed in Jaunty. Could you please explain why this is the case? Are you just getting a head start on the SRU or are you looking for this SRU to be accepted without the fix first being in Jaunty?
 2. You don't close your SRU bug in your changelog.

Nicolas Valcarcel (nvalcarcel) wrote :

ACK

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ebox - 0.12.4-0ubuntu1

---------------
ebox (0.12.4-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #318710, LP: #310045).
  * debian/control:
    - Bump standard version.
    - Depend on an apache2-mpm- rather then apache2 (LP: #225793).
    - Build depend on debconf-updatepo.
  * debian/rules:
    - Call debconf-updatepo from clean target.
  * debian/copyright:
    - Include section about apache-authcookie code.
  * debian/ebox.postrm:
    - Remove ebox log files (LP: #129738).
  * debian/ebox.prerm:
    - Stop ebox when the package is removed. (LP: #234912)
  * debian/watch:
    - add watch file.
  * debian/patches/01_add_apache_authcookie.dpatch
    - Patch to backport AuthCookie authentication for jaunty (LP: #255368).
  * debian/patches/02_dbus_gconf.dpatch
    - Patch to make gconf classes work with new gconf using dbus
      (LP: #314606).
  * debian/patches/03_js_libraries.dpatch
    - Patch to use javascript libraries that are already package for
      Jaunty

 -- Mathias Gug <email address hidden> Mon, 26 Jan 2009 18:21:18 -0500

Changed in ebox:
status: New → Fix Released
Adam Sommer (asommer) wrote :

Now that libebox is fixed in Jaunty here's an updated debdiff. Can someone sponsor the new package to proposed? Also, if there are other changes that need to be made please let me know.

Thanks,
Adam

Mathias Gug (mathiaz) wrote :

Sponsored.

I've updated the version number suitable for an SRU in intrepid as documented in https://wiki.ubuntu.com/SecurityUpdateProcedures. I've also modified the targeted distribution to be intrepid-proposed instead of intrepid.

Changed in ebox:
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Subscribed motu-sru to get their ack. Please always do that for SRUs, for the other bugs as well.

motu-sru ACK.

Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Martin Pitt (pitti) wrote :

Any testers?

Steve Beattie (sbeattie) wrote :

This was fixed in intrepid in the ebox 0.11.99-0ubuntu11.8.10.1 update but the changelog did not reference this bug number, so it was not autoclosed by launchpad. Marking Fix Released.

Changed in ebox (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

I removed this from jaunty-proposed. It didn't get any feedback for > 200 days.

2009-09-09 10:11:22 INFO Removing candidates:
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid amd64
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid hppa
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid i386
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid ia64
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid lpia
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid powerpc
2009-09-09 10:11:22 INFO ebox-usersandgroups 0.11.99-0ubuntu5.8.10.1 in intrepid sparc
2009-09-09 10:11:22 INFO Removed-by: Martin Pitt
2009-09-09 10:11:22 INFO Comment: unverified SRU
2009-09-09 10:11:22 INFO 8 packages successfully removed.
2009-09-09 10:11:22 INFO Transaction committed.

Changed in ebox (Ubuntu Intrepid):
status: Fix Released → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers